Subject: Fwd: Trimming strings, /emacs/lisp/emacs-lisp/subr-x.el modification
From: Jean-Christophe Helary <[email-masked]>
To: [email-masked]
Date: Sat, 13 May 2017 22:36:11 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Since nobody reacted in the last 3 days, I guess that means there is nothing to change, so I'm sending the patch here.

Jean-Christophe 

> Begin forwarded message:
> 
> From: Jean-Christophe Helary <[email-masked]>
> Subject: Re: Trimming strings, /emacs/lisp/emacs-lisp/subr-x.el modification
> Date: May 10, 2017 23:26:04 GMT+9
> To: Emacs developers <[email-masked]>
> 
> Hopefully last fixes.
> 
> I've added the \\(?: ... \\) parens to make sure we capture any potential issue with \|.
> 
> Is there anything else I've missed ?
> 
> Jean-Christophe 
> 
> 
> ===========================
> Add optional regexps for subr-x.el trimming functions
> 
> * lisp/emacs-lisp/subr-x.el (string-trim-left, string-trim-right, string-trim): add optional regexps that default on the original behavior.
> ===========================
> 
> 
>